ITPub博客

首页 > Linux操作系统 > Linux操作系统 > RedHat 7 安装PHP

RedHat 7 安装PHP

原创 Linux操作系统 作者:甲骨文技术支持 时间:2018-02-23 20:25:27 0 删除 编辑
1.操作系统版本

  1. [root@aws srclib]# cat /etc/redhat-release
  2. Red Hat Enterprise Linux Server release 7.4 (Maipo)
2.下载php安装包,本例是5.6.30版本

  1. cd /usr/local/src
  2. wget http://cn2.php.net/distributions/php-5.6.30.tar.gz
3.解压

  1. tar -xzvf php-5.6.30.tar.gz
4.执行configure

  1. cd php-5.6.30
  2. ./configure --prefix=/usr/local/php --with-apxs2=/usr/local/apache2.4/bin/apxs --with-config-file-path=/usr/local/php/etc --with-libxml-dir --with-gd --with-jpeg-dir --with-png-dir --with-freetype-dir --with-iconv-dir --with-zlib-dir --with-bz2 --with-openssl --with-mcrypt --enable-soap --enable-gd-native-ttf --enable-mbstring --enable-sockets --enable-exif
5.在configure过程中遇到6个错误,如下:

  1. 错误1:
    configure: error: xml2-config not found. Please check your libxml2 installation.
    解决办法:
    yum install -y libxml2-devel
    错误2:
    configure: error: Cannot find OpenSSL's
    解决办法:
    yum install -y openssl openssl-devel
    错误3:
    configure: error: Please reinstall the BZip2 distribution
    解决办法:
    yum install -y bzip2 bzip2-devel
    错误4:
    configure: error: jpeglib.h not found.
    解决办法:
    yum install -y libjpeg libjpeg-devel
    错误5:
    configure: error: freetype-config not found.
    解决办法:
    yum install -y freetype freetype-devel
    错误6:
    configure: error: mcrypt.h not found. Please reinstall libmcrypt.
    解决办法:
    yum install -y libmcrypt-devel
其中错误6,需要安装epel扩展yum源,安装方法如下:

  1. rpm -ivh "http://dl.fedoraproject.org/pub/epel/7/x86_64/Packages/e/epel-release-7-11.noarch.rpm"
6.上面的错误都解决后就可以编译和安装了

  1. make
  2. make install
7.最后复制文件

  1. cp php.ini-production /usr/local/php/etc/php.ini

8.测试是否正确解析php

  1. vi /usr/local/apache2.4/htdocs/mytest.php //写入如下内容
  2. <?php

  3.     echo "php测试正常"
  4. ?>

9.保存脚本后继续测试,如下:

  1. [root@aws srclib]# curl localhost/mytest.php



  2. php测试正常
10.查看PHP配置文件所在位置

  1. [root@aws srclib]# /usr/local/php/bin/php -i |grep -i "loaded configuration file"
  2. PHP Warning: Unknown: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC
欢迎访问我的另一篇文章,RedHat 7 安装httpd

http://blog.itpub.net/20893244/viewspace-2151184/




来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/20893244/viewspace-2151185/,如需转载,请注明出处,否则将追究法律责任。

上一篇: RedHat 7 安装HTTPD
请登录后发表评论 登录
全部评论
2009年获得Oracle OCM认证,ITPUB社区OCM联盟成员,熟悉Oracle,mysql,Python,Zabbix等。

注册时间:2016-12-31

  • 博文量
    141
  • 访问量
    185342